Bug 121755 - subversion text annotations
subversion text annotations
Status: RESOLVED FIXED
Product: versioncontrol
Classification: Unclassified
Component: Subversion
6.x
All All
: P3 with 6 votes (vote)
: 7.1
Assigned To: issues@versioncontrol
issues@versioncontrol
: PLAN
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2007-11-12 17:12 UTC by nadakidd
Modified: 2011-06-02 21:05 UTC (History)
0 users

See Also:
Issue Type: ENHANCEMENT
:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description nadakidd 2007-11-12 17:12:40 UTC
It would be of great benefit to have access to the features that subversion offers that are not yet implemented in
netbeans.  I'd especially like to see text annotations (author, rev#, dirty flag, added flag, date, name, etc..)
versioned per file as subclipse does.  The following is an email conversation about exactly that from nabble where I was
referred here.  I've provided some screen shots of what I am talking about.  Thanks for your consideration.

http://www.nabble.com/file/p13512338/netbeans_svn.jpg

http://www.nabble.com/file/p13512338/eclipse_svn.jpg


Hi,

      For your requirement: Please don't hesitate and file an enhancement for subversion textual annotations you've
mentioned here. http://qa.netbeans.org/issues/enter_bug.cgi?component=subversion&issue_type=ENHANCEMENT&version=6.0

Thanks,
-Peter

brian Kidd wrote:
> I think perhaps I stated my desire incorrectly.  I believe what you are
> telling me is that Netbeans should be updating all files' rev# label
> (regardless of whether they are part of the last commit or not) to the most
> current rev# upon a full project update.  So.. if no one has changed a file
> in a while, and several commits (and then updates) have been done, that
> unchanged file will show the latest rev# of the entire project.  The bug to
> which you are referring is that Netbeans is not updating those numbers until
> I terminate and then start the IDE again.
>
> http://www.nabble.com/file/p13512338/netbeans_svn.jpg 
>
> What I desire is:  the IDE will show the rev# of the last commit of which a
> particular file/object is a part.  So.. while the overall project is at
> rev#10, a file that hasn't been changed/committed since rev#4 would have
> rev#4 displayed next to it while other files would have the rev# of the last
> commit of which they were a part next to them and the overall project would
> show the current rev#.  In this way, the user can quickly and easily
> differentiate which files have changed more recently and which haven't
> without having to show history, diff, or take any other action.  Since the
> data is already there via subversion, and other open source IDE's have made
> use of it, having two tags, say {project rev} and {individual rev} or
> something to that effect shouldn't be too difficult to do.  Then, users
> would have the option of displaying either style of notation.
>
> http://www.nabble.com/file/p13512338/eclipse_svn.jpg 
>
> If I am incorrect with the differences I am assuming above, let me know.  I
> think it was just a lack of clarity on my part.  If I am not incorrect with
> the differences, and I desire functionality that is not currently planned,
> which team would I contact about the possibility of adding the option for
> the style of notation I currently enjoy in eclipse/subversion?
>
> I appreciate your patience.  I haven't been involved with IDE dev or making
> suggestions for it before.
>
> -brian
>
>
>
> Peter Pis wrote:
>   
>> Hi,
>>
>>     as I've already told you, there is a bug for rev# displayed next to 
>> nodes in navigator. For now in some cases the restart of IDE is required 
>> to see current rev# numbers in the working copy.
>>     If you feel strongly about textual annotations that are missed in 
>> the Subversion Support in NB IDE, please don't hesitate an file and 
>> enhancement with detailed description for it.
>>
>> Regards,
>> -Peter
>>
>> brian Kidd wrote:
>>     
>>> Okay, Subversion is what I am using with eclipse (same installation of
>>> Subversion, same project, etc...).  In eclipse I see the rev# next to
>>> each
>>> file (in the navigator window) corresponding to the last commit revision
>>> of
>>> which it was a part.  So, if I don't make a change to a particular file,
>>> eventually the rev# displayed next to it in the navigator will be lower
>>> (it
>>> stays the same, but others change) than other files and folders that have
>>> been updated and committed since that file was last changed and
>>> committed. 
>>> Why is this?  Both IDEs are using the exact same subversion and the exact
>>> same project (same folder/files).  Is it just a lacking in the feature
>>> set
>>> of the netbeans subversion plugin or is it a bug?
>>>
>>> The {author} label in eclipse must be a function of the plugin as it is
>>> being pulled from the same Subversion installation (and only
>>> installation)
>>> netbeans is using.  Users should have access to any parameters available
>>> from subversion (date, time, author, etc..) as labels, among other
>>> things.
>>>
>>> The "show annotations" works, however, I have to select that for each and
>>> every file, each and every time I open it.  Is there a way that I can
>>> turn
>>> this on or off globally so that every file I open will show annotations?
>>>
>>> As always, thanks :-)
>>>
>>>
>>> Unfortunately I had to delete the original thread, so here's what I had
>>> from
>>> the digest email...
>>>
>>>
>>> -brian
>>> ---------- Forwarded message ----------
>>> From: Briggs acidbriggs@...
>>> To: nbusers@...
>>> Date: Tue, 30 Oct 2007 09:20:25 -0400
>>> Subject: Re: [nbusers] svn versioning ui questions
>>> Hey, thanks for the info.
>>>
>>> On 10/30/07, Peter Pis Peter.Pis@... wrote:
>>>   
>>>       
>>>>  Hi,
>>>>
>>>>      subversion uses one global repository number while in working copy
>>>> mixed revision are encountered. Please find more details in
>>>> http://svnbook.red-bean.com/en/1.4/svn-book.html#svn.basic.in-action.mixedrevs
>>>>
>>>>      Brian, you are right, in a case of revision annotations there is an
>>>> issue for refreshing number. The only workaround for this to restart the
>>>> IDE, which is not very convenient.
>>>>
>>>>      Anyway, have you tried to use "Subversion | Show Annotations"
>>>> action
>>>> -
>>>> then each line of source code will provide more information about user
>>>> and
>>>> revision that changes have been made in.
>>>>
>>>>  Regards,
>>>>  -Peter
>>>>
>>>>
>>>>  brian Kidd wrote:
>>>>  I use subversion with eclipse (rad rails) and every file/folder has the
>>>> rev
>>>> #
>>>> of the last time it was updated. Also, when I look at the subversion
>>>> details within eclipse, it does list the last author, time of commit,
>>>> etc..
>>>> I am not sure where exactly the difference lies, however, subversion
>>>> does
>>>> seem to provide this information seeing as eclipse is able to utilize
>>>> it.
>>>>
>>>>
>>>> Briggs wrote:
>>>>
>>>>
>>>>  I don't believe that what you are referring to is a limitation of
>>>> Netbeans, but is how Subversion, itself, is implemented. Files within
>>>> Subversion do not have their own version number, such as ClearCase,
>>>> yet every commit is a transactional operation that locks and applies a
>>>> sequential number to the entire repository. Snapshots/Labels in
>>>> Subversion are only a pointer to a specific commits revision number of
>>>> the repository. There are no individual file versions.
>>>>
>>>> Please inform me, and everyone, if I am incorrect here. I am not
>>>> lacking in humility. This is just the way that I understand that
>>>> Subversion works.
>>>>
>>>> Briggs.
>>>>
>>>> On 10/29/07, brian Kidd nadakidd@... wrote:
>>>>
>>>>
>>>>  Thanks for the reply Peter.
>>>>
>>>> I have done this (svn label), however, the version that displays next to
>>>> every file/folder is the same rev number, even though many files (and
>>>> inherently folders) are at different revisions. Only the project, files
>>>> changed/added in most recent commit, and folders that contain them
>>>> should
>>>> be
>>>> at the most recent rev number. Unchanged files should not show a newer
>>>> rev
>>>> number than the the commit in which they were last changed. Perhaps I am
>>>> doing something incorrectly?
>>>>
>>>> For the svn commit, that was my mistake. I already knew how to do that.
>>>> I
>>>> was thinking one thing and typing another. What I wanted to know was how
>>>> to
>>>> create a keymap/shortcut for rake tasks...specifically db:migrate. I
>>>> don't
>>>> see any rake tasks listed as actions in any of the menus.
>>>>
>>>> One more question, how can I display the full path in the netbeans main
>>>> window title for whichever file I have open in the editor? This would
>>>> allow
>>>> me to verify at a glance (without having to take an action) where the
>>>> file
>>>> lives as there are several files in our project that have the same name
>>>> and
>>>> who's code looks similar, but live in different folders. It becomes easy
>>>> to
>>>> edit the wrong file, especially when comparing and then editing.
>>>>
>>>>
>>>>
>>>> Peter Pis wrote:
>>>>
>>>>
>>>>  Hi,
>>>>
>>>>  for Subversion Support in the NetBeans IDE 6.0 you can specify
>>>> textual annotations next to nodes in explorer views by "Tools | Options
>>>> | Miscellaneous | Versioning | Subversion | Subversion Status Labels".
>>>> There you can define "revision", "status", "folder" (represents Branch
>>>> or Tag name), and "mime_type" variables. (don't forget to switch "View
>>>>
>>>>  |
>>>>
>>>>
>>>>  Show Versioning Labels" option on)
>>>>  Only variables mentioned above are available for Subversion
>>>>
>>>>  Support.
>>>>
>>>>
>>>>  For others feel free and file an enhancement against subversion module.
>>>> [1]
>>>>
>>>>  For key shortcut/map open "Tools | Options | Keymap" dialog. Then
>>>>
>>>>  in
>>>>
>>>>
>>>>  "Actions" area expand "Subversion" item and select desired action
>>>> ("Commit...") and push "Add ..." button. Choose shortcut and that
>>>>
>>>>  should
>>>>
>>>>
>>>>  be all.
>>>>
>>>> Regards,
>>>> -Peter
>>>>
>>>> [1]
>>>>
>>>>
>>>> http://qa.netbeans.org/issues/enter_bug.cgi?component=subversion&issue_type=ENHANCEMENT&version=6.0
>>>>
>>>>
>>>>  Brian Kidd wrote:
>>>>
>>>>
>>>>  Is there a way to show the version number of the last update to a
>>>> particular file/folder as a label instead of every file/folder having
>>>> the current version number of the entire project?
>>>>
>>>> Is there a way to show the last author to touch a particular
>>>> file/folder, as well as show who touched the entire project last?
>>>>
>>>> Is there a way to create a key shortcut/map to do an SVN commit?
>>>>
>>>> These are features I use constantly in Eclipse, but haven't found a
>>>> way to accomplish them in NetBeans yet. I am using 6.0 beta 2, fyi.
>>>>
>>>> I have attached a screen shot of the version labeling as well as one
>>>> of the settings window for it.
>>>>
>>>> Thanks for you time.
>>>>
>>>> --
>>>> - Brian
>>>>
>>>>
>>>>
>>>> http://soapbox.msn.com/video.aspx?vid=eaca0447-db1c-4c5b-b9db-c0b365ae50b2
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>  --
>>>> View this message in context:
>>>> http://www.nabble.com/svn-versioning-ui-questions-tf4712490.html#a13478527
>>>> Sent from the Netbeans - Users mailing list archive at Nabble.com.
>>>>
>>>>
>>>>  --
>>>> "Conscious decisions by conscious minds are what make reality real"
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>
>>>>     
>>>>         
>>> --
>>> "Conscious decisions by conscious minds are what make reality real"
>>>
>>>   
>>>       
>>     
>
>
Comment 1 shuklanirdesh 2010-10-20 23:10:41 UTC
Hello,

I am new to Net Beans IDE. I am using IDE 6.9.1. I am wondering about the same issue. 

Does this new IDE version provide the text annotations (author, rev#, dirty
flag, added flag, date, name, etc..) as subclipse does?


Please let me know asap.


Thanks in advance,

Nirdesh
Comment 2 Ondrej Vrabec 2011-06-01 11:52:17 UTC
fix: http://hg.netbeans.org/core-main/rev/b6110105a356
Comment 3 Quality Engineering 2011-06-02 21:05:42 UTC
Integrated into 'main-golden', will be available in build *201106021001* on http://bits.netbeans.org/dev/nightly/ (upload may still be in progress)
Changeset: http://hg.netbeans.org/main/rev/b6110105a356
User: Ondrej Vrabec <ovrabec@netbeans.org>
Log: Issue #121755 - subversion text annotations
last commit author, date and revision added to text annotations


By use of this website, you agree to the NetBeans Policies and Terms of Use. © 2012, Oracle Corporation and/or its affiliates. Sponsored by Oracle logo